Subject: Ticket Assigned - Order # 9418862816
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 15 Mar 2023 11:12:31 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order # 9418862816 Order #9418862816

What is your replacement policy?
I recieved a faulty item on Monday and this is the 3rd day of waiting to hear back if I can have a replacement sent out. There is not even a person that can put me in contact with the 'relevant' department.

I have sent multiple video and photo evidence via email and whatsapp of the problem on the baby cot and still i am waiting ti hear back from the 'relevant department'?!

I cannot process a return/ refund online as the status of my order still says 'placed' even though I have received it.
I have no other option than to lodge a complaint with DED consumer rights tomorrow if I am not addressed today.

The company process for dealing with faulty items and returns is very unsatisfactory and the online application is lacking. Happy to take my money but unable to give any decent customer service or follow through protection of consumer rights law.

Nicola Cairns.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5852840